Subject: Re: [PATCH v5 06/12] builtin/history: implement "reword" subcommand

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 27 Oct 2025 10:58:27 +0100

On Tue, Oct 21, 2025 at 05:43:16PM -0400, D. Ben Knoble wrote:
> On Tue, Oct 21, 2025 at 5:34 PM Junio C Hamano <[email-masked]> wrote:
> > Hmph, I would have expected that the overall flow of this command
> > would be
> >
> >  * find the commits above and including the <commit> in question,
> >    making sure there is no merge.
> 
> I don't remember offhand if the implementation supports merges, so
> this might not answer the question…
> 
> > without having to touch any "pick" machinery.  Why do we need to go
> > down to the merge machinery for a mere "reword" operation?
> 
> …but it would be nice to not overly restrict the commits that can be
> reworded (IIRC, jj permits the equivalent).

I agree that it would be nice, but I'd defer that to the future. Let's
focus on the easy cases for now and then extend going forward.

Patrick